MONGOC_CLIENT_ENCRYPTION_OPTS_SET_KEY_VAULT_NAMESPACE(3)

NAME
mongoc_client_encryption_opts_set_key_vault_namespace - mongoc_client_encryption_opts_set_keyvault_namespace()

SYNOPSIS

        void
        mongoc_client_encryption_opts_set_keyvault_namespace (
           mongoc_client_encryption_opts_t *opts, const char *db, const char *coll);

Set the database and collection name of the key vault. The key vault is the specially designated collection containing encrypted data keys for Client-Side Field Level Encryption.

PARAMETERS

    •   opts: The mongoc_client_encryption_opts_t

    •   db: The database name of the key vault collection.

    •   coll: The collection name of the key vault collection.

SEE ALSO

    •   mongoc_client_encryption_new()

    •   The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc